Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.servlet
Class ChangedRequest

    java.lang.Object
      |
      +--ccl.servlet.ChangedRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

public class ChangedRequest
extends java.lang.Object
implements javax.servlet.http.HttpServletRequest

Sometimes a slightly changed HttpServletRequest object is needed with just new parameter values. An instance of this class encapsulates an http request and forwards all messages to this object except for changed parameters.

This class adds setParameter to a standard http request.

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`ChangedRequest(javax.servlet.http.HttpServletRequest request)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String s)` Forwards message to original request object.
`java.util.Enumeration` | `getAttributeNames()` Forwards message to original request object.
`java.lang.String` | `getAuthType()` Forwards message to original request object.
`java.lang.String` | `getCharacterEncoding()` Forwards message to original request object.
`int` | `getContentLength()` Forwards message to original request object.
`java.lang.String` | `getContentType()` Forwards message to original request object.
`java.lang.String` | `getContextPath()` Forwards message to original request object.
`javax.servlet.http.Cookie[]` | `getCookies()` Forwards message to original request object.
`long` | `getDateHeader(java.lang.String s)` Forwards message to original request object.
`java.lang.String` | `getHeader(java.lang.String s)` Forwards message to original request object.
`java.util.Enumeration` | `getHeaderNames()` Forwards message to original request object.
`java.util.Enumeration` | `getHeaders(java.lang.String s)` Forwards message to original request object.
`javax.servlet.ServletInputStream` | `getInputStream()` Forwards message to original request object.
`int` | `getIntHeader(java.lang.String s)` Forwards message to original request object.
`java.util.Locale` | `getLocale()` Forwards message to original request object.
`java.util.Enumeration` | `getLocales()` Forwards message to original request object.
`java.lang.String` | `getMethod()` Forwards message to original request object.
`java.lang.String` | `getParameter(java.lang.String name)` Returns a new or changed parameter if existing, otherwise this method returns the original parameter.
`java.util.Map` | `getParameterMap()` Forwards message to original request object.
`java.util.Enumeration` | `getParameterNames()` Returns new or changed parameter names if existing plus the rest of the unchanged names.
`java.lang.String[]` | `getParameterValues(java.lang.String name)` Returns new or changed parameter values if existing, otherwise this method returns the originals.
`java.lang.String` | `getPathInfo()` Forwards message to original request object.
`java.lang.String` | `getPathTranslated()` Forwards message to original request object.
`java.lang.String` | `getProtocol()` Forwards message to original request object.
`java.lang.String` | `getQueryString()` Forwards message to original request object.
`java.io.BufferedReader` | `getReader()` Forwards message to original request object.
`java.lang.String` | `getRealPath(java.lang.String s)` Forwards message to original request object.
`java.lang.String` | `getRemoteAddr()` Forwards message to original request object.
`java.lang.String` | `getRemoteHost()` Forwards message to original request object.
`java.lang.String` | `getRemoteUser()` Forwards message to original request object.
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String s)` Forwards message to original request object.
`java.lang.String` | `getRequestedSessionId()` Forwards message to original request object.
`java.lang.String` | `getRequestURI()` Forwards message to original request object.
`java.lang.StringBuffer` | `getRequestURL()` Forwards message to original request object.
`java.lang.String` | `getScheme()` Forwards message to original request object.
`java.lang.String` | `getServerName()` Forwards message to original request object.
`int` | `getServerPort()` Forwards message to original request object.
`java.lang.String` | `getServletPath()` Forwards message to original request object.
`javax.servlet.http.HttpSession` | `getSession()` Forwards message to original request object.
`javax.servlet.http.HttpSession` | `getSession(boolean b)` Forwards message to original request object.
`java.security.Principal` | `getUserPrincipal()` Forwards message to original request object.
`boolean` | `isRequestedSessionIdFromCookie()` Forwards message to original request object.
`boolean` | `isRequestedSessionIdFromUrl()` Forwards message to original request object.
`boolean` | `isRequestedSessionIdFromURL()` Forwards message to original request object.
`boolean` | `isRequestedSessionIdValid()` Forwards message to original request object.
`boolean` | `isSecure()` Forwards message to original request object.
`boolean` | `isUserInRole(java.lang.String s)` Forwards message to original request object.
`void` | `putParameter(java.lang.String name, java.lang.String value)` Lets you change the value of a parameter or add a new one.
`void` | `putParameterValues(java.lang.String name, java.lang.String[] values)` Lets you change the values of a parameter or add a new one.
`void` | `removeAttribute(java.lang.String s)` Forwards message to original request object.
`void` | `setAttribute(java.lang.String s, java.lang.Object o)` Forwards message to original request object.
`void` | `setCharacterEncoding(java.lang.String env)` Forwards message to original request object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangedRequest

    public ChangedRequest(javax.servlet.http.HttpServletRequest request)

Method Detail

### putParameter

    public void putParameter(java.lang.String name,
                             java.lang.String value)

  Lets you change the value of a parameter or add a new one.

### putParameterValues

    public void putParameterValues(java.lang.String name,
                                   java.lang.String[] values)

  Lets you change the values of a parameter or add a new one.

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Returns a new or changed parameter if existing, otherwise this method returns the original parameter.

  Specified by:
    `getParameter` in interface `javax.servlet.ServletRequest`

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Returns new or changed parameter values if existing, otherwise this method returns the originals.

  Specified by:
    `getParameterValues` in interface `javax.servlet.ServletRequest`

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Returns new or changed parameter names if existing plus the rest of the unchanged names.

  Specified by:
    `getParameterNames` in interface `javax.servlet.ServletRequest`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String s)

  Forwards message to original request object.

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletRequest`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Forwards message to original request object.

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletRequest`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Forwards message to original request object.

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletRequest`

### getContentLength

    public int getContentLength()

  Forwards message to original request object.

  Specified by:
    `getContentLength` in interface `javax.servlet.ServletRequest`

### getContentType

    public java.lang.String getContentType()

  Forwards message to original request object.

  Specified by:
    `getContentType` in interface `javax.servlet.ServletRequest`

### getInputStream

    public javax.servlet.ServletInputStream getInputStream()
                                                    throws java.io.IOException

  Forwards message to original request object.

  Specified by:
    `getInputStream` in interface `javax.servlet.ServletRequest`
    `java.io.IOException`

### getLocale

    public java.util.Locale getLocale()

  Forwards message to original request object.

  Specified by:
    `getLocale` in interface `javax.servlet.ServletRequest`

### getLocales

    public java.util.Enumeration getLocales()

  Forwards message to original request object.

  Specified by:
    `getLocales` in interface `javax.servlet.ServletRequest`

### getProtocol

    public java.lang.String getProtocol()

  Forwards message to original request object.

  Specified by:
    `getProtocol` in interface `javax.servlet.ServletRequest`

### getReader

    public java.io.BufferedReader getReader()
                                     throws java.io.IOException

  Forwards message to original request object.

  Specified by:
    `getReader` in interface `javax.servlet.ServletRequest`
    `java.io.IOException`

### getRealPath

    public java.lang.String getRealPath(java.lang.String s)

  Forwards message to original request object.

  Specified by:
    `getRealPath` in interface `javax.servlet.ServletRequest`

### getRemoteAddr

    public java.lang.String getRemoteAddr()

  Forwards message to original request object.

  Specified by:
    `getRemoteAddr` in interface `javax.servlet.ServletRequest`

### getRemoteHost

    public java.lang.String getRemoteHost()

  Forwards message to original request object.

  Specified by:
    `getRemoteHost` in interface `javax.servlet.ServletRequest`

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String s)

  Forwards message to original request object.

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletRequest`

### getScheme

    public java.lang.String getScheme()

  Forwards message to original request object.

  Specified by:
    `getScheme` in interface `javax.servlet.ServletRequest`

### getServerName

    public java.lang.String getServerName()

  Forwards message to original request object.

  Specified by:
    `getServerName` in interface `javax.servlet.ServletRequest`

### getServerPort

    public int getServerPort()

  Forwards message to original request object.

  Specified by:
    `getServerPort` in interface `javax.servlet.ServletRequest`

### isSecure

    public boolean isSecure()

  Forwards message to original request object.

  Specified by:
    `isSecure` in interface `javax.servlet.ServletRequest`

### removeAttribute

    public void removeAttribute(java.lang.String s)

  Forwards message to original request object.

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletRequest`

### setAttribute

    public void setAttribute(java.lang.String s,
                             java.lang.Object o)

  Forwards message to original request object.

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletRequest`

### getAuthType

    public java.lang.String getAuthType()

  Forwards message to original request object.

  Specified by:
    `getAuthType` in interface `javax.servlet.http.HttpServletRequest`

### getContextPath

    public java.lang.String getContextPath()

  Forwards message to original request object.

  Specified by:
    `getContextPath` in interface `javax.servlet.http.HttpServletRequest`

### getCookies

    public javax.servlet.http.Cookie[] getCookies()

  Forwards message to original request object.

  Specified by:
    `getCookies` in interface `javax.servlet.http.HttpServletRequest`

### getDateHeader

    public long getDateHeader(java.lang.String s)

  Forwards message to original request object.

  Specified by:
    `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`

### getHeader

    public java.lang.String getHeader(java.lang.String s)

  Forwards message to original request object.

  Specified by:
    `getHeader` in interface `javax.servlet.http.HttpServletRequest`

### getHeaderNames

    public java.util.Enumeration getHeaderNames()

  Forwards message to original request object.

  Specified by:
    `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`

### getHeaders

    public java.util.Enumeration getHeaders(java.lang.String s)

  Forwards message to original request object.

  Specified by:
    `getHeaders` in interface `javax.servlet.http.HttpServletRequest`

### getIntHeader

    public int getIntHeader(java.lang.String s)

  Forwards message to original request object.

  Specified by:
    `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`

### getMethod

    public java.lang.String getMethod()

  Forwards message to original request object.

  Specified by:
    `getMethod` in interface `javax.servlet.http.HttpServletRequest`

### getPathInfo

    public java.lang.String getPathInfo()

  Forwards message to original request object.

  Specified by:
    `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`

### getPathTranslated

    public java.lang.String getPathTranslated()

  Forwards message to original request object.

  Specified by:
    `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`

### getQueryString

    public java.lang.String getQueryString()

  Forwards message to original request object.

  Specified by:
    `getQueryString` in interface `javax.servlet.http.HttpServletRequest`

### getRemoteUser

    public java.lang.String getRemoteUser()

  Forwards message to original request object.

  Specified by:
    `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`

### getRequestURI

    public java.lang.String getRequestURI()

  Forwards message to original request object.

  Specified by:
    `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`

### getRequestedSessionId

    public java.lang.String getRequestedSessionId()

  Forwards message to original request object.

  Specified by:
    `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`

### getServletPath

    public java.lang.String getServletPath()

  Forwards message to original request object.

  Specified by:
    `getServletPath` in interface `javax.servlet.http.HttpServletRequest`

### getSession

    public javax.servlet.http.HttpSession getSession()

  Forwards message to original request object.

  Specified by:
    `getSession` in interface `javax.servlet.http.HttpServletRequest`

### getSession

    public javax.servlet.http.HttpSession getSession(boolean b)

  Forwards message to original request object.

  Specified by:
    `getSession` in interface `javax.servlet.http.HttpServletRequest`

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Forwards message to original request object.

  Specified by:
    `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromCookie

    public boolean isRequestedSessionIdFromCookie()

  Forwards message to original request object.

  Specified by:
    `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromURL

    public boolean isRequestedSessionIdFromURL()

  Forwards message to original request object.

  Specified by:
    `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromUrl

    public boolean isRequestedSessionIdFromUrl()

  Forwards message to original request object.

  Specified by:
    `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`

### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()

  Forwards message to original request object.

  Specified by:
    `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`

### isUserInRole

    public boolean isUserInRole(java.lang.String s)

  Forwards message to original request object.

  Specified by:
    `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String env)
                              throws java.io.UnsupportedEncodingException

  Forwards message to original request object.

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletRequest`
    `java.io.UnsupportedEncodingException`

### getParameterMap

    public java.util.Map getParameterMap()

  Forwards message to original request object.

  Specified by:
    `getParameterMap` in interface `javax.servlet.ServletRequest`

### getRequestURL

    public java.lang.StringBuffer getRequestURL()

  Forwards message to original request object.

  Specified by:
    `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD